View Issue Details

IDProjectCategoryView StatusLast Update
0002849Ham Radio DeluxeBugpublic2018-09-11 13:18
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.4.0.876 
Target VersionFixed in Version6.4.0.886 
Summary0002849: XML Manager: will leak error info, might crash if error when loading document
DescriptionTurns out the code in LoadFromString() that reacts to an error in loading the document tries to get some error info. The call to retrieve the error info isn't checked, and if it fials the error info pointer won't be initialized. It's dereferenced just the same, and that would lead to a crash.

If the retreival of error info is successful, the error info object is never released and leaks.
Steps To ReproduceFound with App Verifieier (sp?)
TagsNo tags attached.
ModuleAll
Sub-ModuleData
Testing Beta Successful

Relationships

Activities

K7ZCZ

2018-08-23 10:32

manager   ~0005999

This issue won't be readily verifiable by end users.

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4300

WA9PIE

2018-09-07 16:57

administrator   ~0006120

Unable to test. Accepting this as validated; developer managed topic.

Issue History

Date Modified Username Field Change
2018-08-23 09:17 K7ZCZ New Issue
2018-08-23 10:32 K7ZCZ Assigned To => K7ZCZ
2018-08-23 10:32 K7ZCZ Status new => resolved
2018-08-23 10:32 K7ZCZ Resolution open => fixed
2018-08-23 10:32 K7ZCZ Note Added: 0005999
2018-08-29 18:39 K7ZCZ Fixed in Version => 6.4.0.877
2018-09-07 16:57 WA9PIE Status resolved => closed
2018-09-07 16:57 WA9PIE Steps to Reproduce Updated View Revisions
2018-09-07 16:57 WA9PIE Testing Not Started => Beta Successful
2018-09-07 16:57 WA9PIE Note Added: 0006120
2018-09-11 13:15 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2018-09-11 13:18 WA9PIE Fixed in Version 6.4.0.877 => 6.4.0.886